RackTables BT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001595RackTablesdefaultpublic2016-03-17 15:282016-05-19 12:03
Reportertomium 
Assigned Toinfrastation 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformx64OSLinuxOS VersionOpenSuse 13.2
Product Version0.20.11 
Target Version0.20.12Fixed in Version0.20.12 
Summary0001595: Location Filter in Page "Rackspace" does not work
DescriptionI can't filter Locations for Racks on Page "index.php?page=rackspace"
Every Location is always shown, no matter which location checkbox is activated.
I can toggle all locations without any effect.

This worked perfectly in 0.20.10
Steps To ReproduceGot to "Rackspace", toggle any of the location checkboxes and click on the "set filter" icon.
All racks in any location will remain visible.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0003141)
infrastation (administrator)
2016-03-18 11:38

I confirm this bug.
(0003159)
albertoa (reporter)
2016-04-21 10:09

Work-around:
at line 509 of interface.php, add above or below the line:
"$rackList = $row['racks'];"
this line:
"$location_id = $row['location_id'];"
(0003161)
tomium (reporter)
2016-04-21 11:38

@albertoa
Thank you - it works!
(0003187)
infrastation (administrator)
2016-05-19 12:03

Thank you Alberto, I confirm the bugfix, it has been made as commit d1d19f7 and will be available in release 0.20.12. Next time you have a bugfix ready feel free to open a pull request on GitHub.

- Issue History
Date Modified Username Field Change
2016-03-17 15:28 tomium New Issue
2016-03-18 11:38 infrastation Note Added: 0003141
2016-04-21 10:09 albertoa Note Added: 0003159
2016-04-21 11:38 tomium Note Added: 0003161
2016-05-19 12:03 infrastation Note Added: 0003187
2016-05-19 12:03 infrastation Assigned To => infrastation
2016-05-19 12:03 infrastation Status new => closed
2016-05-19 12:03 infrastation Resolution open => fixed
2016-05-19 12:03 infrastation Fixed in Version => 0.20.12
2016-05-19 12:03 infrastation Target Version => 0.20.12


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker